Repository 32bit  Forum
Repository 64bit  Wiki

[RISOLTO]Installare amsn, problema glibc

Se avete problemi con l'installazione e la configurazione di Slackware64 postate qui. Non usate questo forum per argomenti che trattano la Slackware32 o generali... per quelli usate rispettivamente il forum Slackware e Gnu/Linux in genere.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware64 usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Slackware64, se l'argomento è Slackware32 o generale usate rispettivamente il forum Slackware o Gnu/Linux in genere.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

[RISOLTO]Installare amsn, problema glibc

Messaggioda shock » lun nov 16, 2009 23:08

Ciao....ho scaricato amsn e lo ho fatto partire, l'unico problema, è che a fine installazione mi dice errore perchè le mie glibc non sono aggiornate.
Ho letto in giro che aggiornarle non è cosa facile, dunque come faccio?
Ultima modifica di shock il lun gen 25, 2010 17:54, modificato 1 volta in totale.
Avatar utente
shock
Linux 2.4
Linux 2.4
 
Messaggi: 359
Iscritto il: mer ott 28, 2009 18:47
Nome Cognome: Ivan
Slackware: 13.1 x86_64
Kernel: 2.6.33.4-huge-smp
Desktop: KDE 4.4.3

Re: Installare amsn, problema glibc

Messaggioda SIV » lun nov 16, 2009 23:14

Quel è l'errore specifico? Come lo hai installato? Da sorgenti? Se sì, perchè non provi il pacchetto su slacky?

Se vuoi proseguire però aggiornando le glibc, che versione hai? Mi sa che ultimamente in current le abbiano aggiornate.
Avatar utente
SIV
Linux 2.6
Linux 2.6
 
Messaggi: 918
Iscritto il: mer apr 25, 2007 13:07
Località: Bari (Provincia)

Re: Installare amsn, problema glibc

Messaggioda shock » lun nov 16, 2009 23:30

L'errore è questo:

Codice: Seleziona tutto
Checking for required C library versions ... failed
Error: Your copy of glibc, a core system library, is too old for this package.
You need at least the following symbols in glibc: .

This error normally means that whoever built the package did not build it correctly.
Please report the contents of this message to the provider of this package, and
ask them to rebuild it using apbuild.

Upgrading glibc is highly dangerous, so we recommend in this situation that you
compile the app you want to install from the sources if possible. Sorry :(

Error: Unable to prepare package AMSN MSN client.



Lo ho installato tramite file.package.

Non ho la versione current ma la stable.

Non è complicato aggiornare le glibc?Rischio di fare danni?Dove si trova il pacchetto su slacky?

Grazie e ciao.
Ultima modifica di conraid il mar nov 17, 2009 10:07, modificato 1 volta in totale.
Motivazione: per favore non scrivere pezzi così grandi di testo con font colorati, usa i tag CODE per queste cose
Avatar utente
shock
Linux 2.4
Linux 2.4
 
Messaggi: 359
Iscritto il: mer ott 28, 2009 18:47
Nome Cognome: Ivan
Slackware: 13.1 x86_64
Kernel: 2.6.33.4-huge-smp
Desktop: KDE 4.4.3

Re: Installare amsn, problema glibc

Messaggioda shock » lun nov 16, 2009 23:40

Ho scaricato il pacchetto qui su slacky ma quando apro il file chiamato amsn (sempre che sia quello giusto), mi dice che mancano le TkCximage.E mi dice che sono necessarie per il funzionamento di amsn e mi chiede per prima cosa di compilare amsn.

Cosa devo fare?
Avatar utente
shock
Linux 2.4
Linux 2.4
 
Messaggi: 359
Iscritto il: mer ott 28, 2009 18:47
Nome Cognome: Ivan
Slackware: 13.1 x86_64
Kernel: 2.6.33.4-huge-smp
Desktop: KDE 4.4.3

Re: Installare amsn, problema glibc

Messaggioda shock » lun nov 16, 2009 23:47

Perfetto, ho seguito le istruzioni del file install e funziona tutto a meraviglia, grazie del consiglio.

Alla prossima.
Avatar utente
shock
Linux 2.4
Linux 2.4
 
Messaggi: 359
Iscritto il: mer ott 28, 2009 18:47
Nome Cognome: Ivan
Slackware: 13.1 x86_64
Kernel: 2.6.33.4-huge-smp
Desktop: KDE 4.4.3

Re: Installare amsn, problema glibc

Messaggioda shock » mar nov 17, 2009 0:00

Allora, il programma funziona, cioe è partito e mi chiede i soliti aggiornamenti e li ho fatti...poi mi ha chiesto un particolare aggiornamento, un qualcosa tipo TLS o altro...comunque ho eseguito questo aggiornamento e ho inserito contatto e password ma carica all'infinito senza mai connettersi :-k Puoi darmi una mano?

Scusa per il superdisturbo e per l'ora.

Ciao e buonanotte a te e a tutti quelli di slacky.it
Avatar utente
shock
Linux 2.4
Linux 2.4
 
Messaggi: 359
Iscritto il: mer ott 28, 2009 18:47
Nome Cognome: Ivan
Slackware: 13.1 x86_64
Kernel: 2.6.33.4-huge-smp
Desktop: KDE 4.4.3

Re: Installare amsn, problema glibc

Messaggioda SIV » mar nov 17, 2009 18:36

Avvialo da terminale, così se c'è qualche errore lo vediamo.
Avatar utente
SIV
Linux 2.6
Linux 2.6
 
Messaggi: 918
Iscritto il: mer apr 25, 2007 13:07
Località: Bari (Provincia)

Re: Installare amsn, problema glibc

Messaggioda Communico » mar nov 17, 2009 20:00

Io per aMsn sulla Slackware64 ho fatto così e funziona:
1) Scarichi sorgenti e slackbuild dal sito di slacky (tutti questi http://repository.slacky.eu/slackware-1 ... .97.2/src/) apri lo slackbuild e modifichi ARCH=${ARCH:-i486} in ARCH=${ARCH:-x86_64} lanci lo slackbuild e installi il pacchetto di amsn che ti crea
2) Per tls hai due opzioni: lo fai scaricare a lui specificando che lo vuoi a 64 bit oppure scarichi sorgenti e slackbuild e fai le stesse cose di prima.
Communico
Packager
Packager
 
Messaggi: 200
Iscritto il: sab mag 03, 2008 18:59
Località: Seriate (BG)
Nome Cognome: Stefano Cereda
Slackware: current
Kernel: 2.6.29.1
Desktop: kde 4.2.2

Re: Installare amsn, problema glibc

Messaggioda lupix » mer nov 18, 2009 16:29

Anche io ho fatto tutto tramite slackbuild.
Consiglio:
Nonostante tutto,alla fine mi si chiedeva di scaricare le librerie tls a 64 bit.Non funziona se lo fai fare in background ad amsn.

Si risolve il problema installando le tls a mano. :D
Avatar utente
lupix
Linux 2.0
Linux 2.0
 
Messaggi: 102
Iscritto il: dom nov 07, 2004 0:00
Località: Los Angeles
Nome Cognome: Luciano

Re: Installare amsn, problema glibc

Messaggioda shock » mer nov 18, 2009 18:57

Allora, ho scaricato tutti i pacchetti di questo indirizzo http://repository.slacky.eu/slackware-1 ... .97.2/src/ ma non so come installarli...

Potete darmi una mano passo passo???

E poi come faccio ad aprire amsn tramite terminale?mi sposto nella directory e lo apreo con ./amsn??

Grazie e scusate.

Ciao.
Avatar utente
shock
Linux 2.4
Linux 2.4
 
Messaggi: 359
Iscritto il: mer ott 28, 2009 18:47
Nome Cognome: Ivan
Slackware: 13.1 x86_64
Kernel: 2.6.33.4-huge-smp
Desktop: KDE 4.4.3

Re: Installare amsn, problema glibc

Messaggioda SIV » mer nov 18, 2009 19:18

Per installare con lo slackbuild, ti sposti nella directory dove hai scaricato tutti i file ed avvii lo slackbuild:
Codice: Seleziona tutto
./amsn.SlackBuild 

Alla fine dovresti avere il file txz da installare.

Qui c'è una spiegazione per quanto riguarda gli slackbuild: http://www.slacky.eu/wikislack/index.ph ... SlackBuild

Per avviare amsn da terminale, entri in un semplice terminale e dai "amsn".
Avatar utente
SIV
Linux 2.6
Linux 2.6
 
Messaggi: 918
Iscritto il: mer apr 25, 2007 13:07
Località: Bari (Provincia)

Re: Installare amsn, problema glibc

Messaggioda shock » mer nov 18, 2009 19:30

Ok allora ho fatto partire amsn da terminale ma non va lo stesso, devo disinstallarlo e poi mettere quell'altro? oppure basta che installo il secondo?

Scusa ma come si apre il file txz creato?

Ci tengo a farti notare che quando ho dato il comando, le ultime tre stringhe erano queste:

WARNING: zero length file usr/doc/amsn-0.97.2/slack-desc
WARNING: zero length file usr/doc/amsn-0.97.2/amsn.SlackBuild
WARNING: zero length file install/slack-desc

E' normale oppure ho sbagliato qualcosa?
Avatar utente
shock
Linux 2.4
Linux 2.4
 
Messaggi: 359
Iscritto il: mer ott 28, 2009 18:47
Nome Cognome: Ivan
Slackware: 13.1 x86_64
Kernel: 2.6.33.4-huge-smp
Desktop: KDE 4.4.3

Re: Installare amsn, problema glibc

Messaggioda shock » mer nov 18, 2009 21:45

Lo ho installato nonostante quei messaggi d'errore tramite installpkg.

Solo che quando lo avvio da terminale ho come l'impressione che mi si avvii quello vecchio e non questo...come faccio a toglierlo?
Avatar utente
shock
Linux 2.4
Linux 2.4
 
Messaggi: 359
Iscritto il: mer ott 28, 2009 18:47
Nome Cognome: Ivan
Slackware: 13.1 x86_64
Kernel: 2.6.33.4-huge-smp
Desktop: KDE 4.4.3

Re: Installare amsn, problema glibc

Messaggioda shock » mer nov 18, 2009 22:18

Voglio segnalare che non riesco a connettermi neanche con pidgin...carica sempre finche dice disconnected e mi fa riconnettere manualmente.
Avatar utente
shock
Linux 2.4
Linux 2.4
 
Messaggi: 359
Iscritto il: mer ott 28, 2009 18:47
Nome Cognome: Ivan
Slackware: 13.1 x86_64
Kernel: 2.6.33.4-huge-smp
Desktop: KDE 4.4.3

Re: Installare amsn, problema glibc

Messaggioda SIV » mer nov 18, 2009 22:24

Allora ti dico come ho fatto io, visto che non avevo amsn ed ho approfittato per installarlo.

-Creata un directory per il lavoro:
Codice: Seleziona tutto
mkdir Downloads/amsn


-Mi sono autenticato root:
Codice: Seleziona tutto
su
password


-Scaricato tutto il materiale della pagina che hai linkato all'interno, quindi avevo:
Codice: Seleziona tutto
root@darkstar:/home/muller/Downloads/amsn# ls
amsn-0.97.2.tar.bz2  amsn.SlackBuild  chameleon-0.5.zip  doinst.sh  slack-desc
root@darkstar:/home/muller/Downloads/amsn#


-Ho dato i permessi allo slackbuild:
Codice: Seleziona tutto
chmod +x amsn.SlackBuild


-Ora io ho glissato questo passaggio, non avendo un slack a 64 bit, ma come ti ha consigliato Communico, devi aprire il file amsn.SlackBuild con kwrite e sostituire questa stringa:
Codice: Seleziona tutto
ARCH=${ARCH:-i486}

in questa:
Codice: Seleziona tutto
ARCH=${ARCH:-x86_64}

salvare e chiudere kwrite.

-Lanciare lo SlackBuild:
Codice: Seleziona tutto
 ./amsn.SlackBuild


-Al termine se tutto è filato liscio, dovrebbe apparire qualcosa del genere:
Slackware package /home/muller/Downloads/amsn/amsn-0.97.2-i486-3sl.txz created.

-Quindi disinstalli il vecchio pacchetto di amsn con:
Codice: Seleziona tutto
removepkg amsn

ed installi quello nuovo:
Codice: Seleziona tutto
installpkg amsn-*
Avatar utente
SIV
Linux 2.6
Linux 2.6
 
Messaggi: 918
Iscritto il: mer apr 25, 2007 13:07
Località: Bari (Provincia)

Prossimo

Torna a Slackware64

Chi c’è in linea

Visitano il forum: Bing [Bot] e 1 ospite